<div
  class="opts-menu-wrapper"
  [style.position]="'absolute'"
  [style.top]="y + 'px'"
  [style.left]="x + 'px'"
>
  <div
    matMenuTrigger
    #optsMenuTrigger="matMenuTrigger"
    [matMenuTriggerFor]="optionsMenu"
  ></div>
  <mat-menu
    class="dataspace-tree-node-menu"
    #optionsMenu="matMenu"
    (close)="resetNodeMenu()"
  >
    @if (!inputFieldShown) {
      <button
        class="simplut-rename-btn"
        disableRipple
        mat-menu-item
        (click)="onMenuItemClick($event)"
      >
        <mat-icon color="primary" class="material-icons-outlined">
          edit
        </mat-icon>
        <span class="text-primary">Rename</span>
      </button>
    } @else {
      <div
        class="simplut-rename-input"
        disableRipple
        mat-menu-item
        (click)="onMenuItemClick($event)"
        (keydown)="onMenuItemClick($event)"
      >
        <mat-form-field disableRipple>
          <input matInput type="text" [(ngModel)]="newNodeName" />
          @if (newNodeName) {
            <button
              disableRipple
              matSuffix
              mat-icon-button
              aria-label="Check"
              (click)="renameNode(node)"
            >
              <mat-icon class="text-success">check</mat-icon>
            </button>
          }
          @if (newNodeName) {
            <button
              disableRipple
              matSuffix
              mat-icon-button
              aria-label="Clear"
              (click)="newNodeName = ''"
            >
              <mat-icon class="text-error">close</mat-icon>
            </button>
          }
        </mat-form-field>
      </div>
    }

    @if (!isGovernanceNode(node)) {
      <button disableRipple mat-menu-item (click)="duplicateNode(node)">
        <mat-icon color="primary" class="material-icons-outlined">
          copy
        </mat-icon>
        <span class="text-primary">Duplicate</span>
      </button>

      @if (isDeletable(node)) {
        <button disableRipple mat-menu-item (click)="deleteNode(node)">
          <mat-icon color="warn" class="material-icons-outlined">
            delete
          </mat-icon>
          <span class="text-primary">Delete node</span>
        </button>
      }
    }
  </mat-menu>
</div>
